at.chipkarte.client.elgaad.soap

## Class Impfstoff

- Object
- - at.chipkarte.client.elgaad.soap.Impfstoff

-     public class Impfstoff
      extends Object

  Daten eines Impfstoffes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Impfstoff()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Arzneimittel` | `getArzneimittel()` Arzneimittel, aus der der Impfstoff besteht.
    `String` | `getChargennummer()` Chargennummer des Impfstoffes.
    `Organization` | `getHersteller()` Hersteller.
    `Impfziel[]` | `getImpfziel()` Krankheit / Erreger, gegen die / den die Impfungs schützt.
    `Code[]` | `getWirkstoffe()` Codes der Wirkstoffe, die im Impfstoff vorhanden sind.
    `Boolean` | `isHistorisch()` Gibt an, ob es sich um einen historischen (bereits verabreichten) Impfstoff handelt.
    `void` | `setArzneimittel(Arzneimittel arzneimittel)`
    `void` | `setChargennummer(String chargennummer)`
    `void` | `setHersteller(Organization hersteller)`
    `void` | `setHistorisch(Boolean isHistorisch)`
    `void` | `setImpfziel(Impfziel[] impfziel)`
    `void` | `setWirkstoffe(Code[] wirkstoffe)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Impfstoff

          public Impfstoff()

  - ### Method Detail

    - #### isHistorisch

          public Boolean isHistorisch()

      Gibt an, ob es sich um einen historischen (bereits verabreichten) Impfstoff handelt. Wird bei der Eingabe ignoriert. Wird bei Impfstoffe-Suchen gesetzt. Angabe: Muss.
      Returns:
        true, falls es sich um einen historischen Impfstoff handelt.

    - #### setHistorisch

          public void setHistorisch(Boolean isHistorisch)

    - #### getArzneimittel

          public Arzneimittel getArzneimittel()

      Arzneimittel, aus der der Impfstoff besteht. Siehe `Arzneimittel`. Angabe: Bedingt. Muss bei aktueller Erfassung, Optional bei Nachtragung (`isNachtragung` in `Impfung` gleich `true`).
      Returns:
        Arzneimittel, aus der der Impfstoff besteht.

    - #### setArzneimittel

          public void setArzneimittel(Arzneimittel arzneimittel)

    - #### getWirkstoffe

          public Code[] getWirkstoffe()

      Codes der Wirkstoffe, die im Impfstoff vorhanden sind. Siehe `Code`. Angabe: Keine Eingabe erlaubt. Dient nur der Ausgabe.
      Format: enthält Werte aus dem ValueSet ELGA_whoATC.
      Returns:
        Wirkstoffe

    - #### setWirkstoffe

          public void setWirkstoffe(Code[] wirkstoffe)

    - #### getImpfziel

          public Impfziel[] getImpfziel()

      Krankheit / Erreger, gegen die / den die Impfungs schützt. Siehe `Impfziel`.
      Angabe: Muss.
      Returns:
        Liste des Impfzieles.

    - #### setImpfziel

          public void setImpfziel(Impfziel[] impfziel)

    - #### getHersteller

          public Organization getHersteller()

      Hersteller. Siehe `Organization`.
      Angabe: Keine Eingabe erlaubt. Dient nur der Ausgabe.
      Returns:
        Hersteller.

    - #### setHersteller

          public void setHersteller(Organization hersteller)

    - #### getChargennummer

          public String getChargennummer()

      Chargennummer des Impfstoffes.
      Angabe: Bedingt. Muss bei aktueller Erfassung, Optional bei Nachtragung (`isNachtragung` in `Impfung` gleich `true`).
      Format: maximal 500 stellig
      Returns:
        Chargennummer.

    - #### setChargennummer

          public void setChargennummer(String chargennummer)